Get Stock Basic Info Screener by Exchange
curl --request GET \
--url https://data-tools.prd.arrays.org/api/v1/stocks/screener/basic-info/exchange \
--header 'X-API-Key: <api-key>'import requests
url = "https://data-tools.prd.arrays.org/api/v1/stocks/screener/basic-info/exchange"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://data-tools.prd.arrays.org/api/v1/stocks/screener/basic-info/exchange', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"symbol": "<string>",
"type": "<string>",
"value": "<string>"
}
],
"error": {
"code": "RESOURCE_NOT_FOUND",
"details": [
{
"field": "<string>",
"got": "<string>",
"reason": "<string>"
}
],
"docs_url": "<string>",
"examples": [
"<string>"
],
"hint": "<string>",
"message": "The requested resource was not found.",
"suggestions": [
"<string>"
]
},
"metadata": "<unknown>",
"pagination": "<unknown>",
"request_id": "<string>",
"success": true
}{
"data": "<unknown>",
"error": {
"code": "RESOURCE_NOT_FOUND",
"details": [
{
"field": "<string>",
"got": "<string>",
"reason": "<string>"
}
],
"docs_url": "<string>",
"examples": [
"<string>"
],
"hint": "<string>",
"message": "The requested resource was not found.",
"suggestions": [
"<string>"
]
},
"metadata": "<unknown>",
"pagination": "<unknown>",
"request_id": "<string>",
"success": true
}{
"data": "<unknown>",
"error": {
"code": "RESOURCE_NOT_FOUND",
"details": [
{
"field": "<string>",
"got": "<string>",
"reason": "<string>"
}
],
"docs_url": "<string>",
"examples": [
"<string>"
],
"hint": "<string>",
"message": "The requested resource was not found.",
"suggestions": [
"<string>"
]
},
"metadata": "<unknown>",
"pagination": "<unknown>",
"request_id": "<string>",
"success": true
}Stock
Get Stock Basic Info Screener by Exchange
OpenAPI JSON Spec Retrieve a list of stock companies filtered by exchange. 3 exchanges are supported: AMEX, NASDAQ, NYSE. ETF filter: results default to non-ETF stocks (symbol_type=stock). Pass symbol_type=etf to return ETFs (the AMEX bucket in particular is dominated by NYSE Arca-listed ETFs).
GET
/
v1
/
stocks
/
screener
/
basic-info
/
exchange
Get Stock Basic Info Screener by Exchange
Authorizations
API Key authentication. Example: "your-api-key-here"
Query Parameters
Exchange name
Available options:
AMEX, NASDAQ, NYSE Asset type filter. Valid values: stock (non-ETF), etf. Optional, defaults to stock.
Available options:
stock, etf ⌘I

